BasicEntityPropertyMapping (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister.entity
Class BasicEntityPropertyMapping

    java.lang.Object
      org.hibernate.persister.entity.AbstractPropertyMapping
          org.hibernate.persister.entity.BasicEntityPropertyMapping

All Implemented Interfaces:
  PropertyMapping

    public class BasicEntityPropertyMapping

extends AbstractPropertyMapping

Constructor Summary
`BasicEntityPropertyMapping(AbstractEntityPersister persister)`

Method Summary
`protected String` | `getEntityName()`
`String[]` | `getIdentifierColumnNames()`
`String[]` | `getIdentifierColumnReaders()`
`String[]` | `getIdentifierColumnReaderTemplates()`
`Type` | `getType()` Get the type of the thing containing the properties
`String[]` | `toColumns(String alias, String propertyName)` Given a query alias and a property path, return the qualified column name

Methods inherited from class org.hibernate.persister.entity.AbstractPropertyMapping
`addPropertyPath, getColumnNames, initComponentPropertyPaths, initIdentifierPropertyPaths, initPropertyPaths, propertyException, toColumns, toType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicEntityPropertyMapping

    public BasicEntityPropertyMapping(AbstractEntityPersister persister)

Method Detail

### getIdentifierColumnNames

    public String[] getIdentifierColumnNames()

  Overrides:
    `getIdentifierColumnNames` in class `AbstractPropertyMapping`

### getIdentifierColumnReaders

    public String[] getIdentifierColumnReaders()

  Overrides:
    `getIdentifierColumnReaders` in class `AbstractPropertyMapping`

### getIdentifierColumnReaderTemplates

    public String[] getIdentifierColumnReaderTemplates()

  Overrides:
    `getIdentifierColumnReaderTemplates` in class `AbstractPropertyMapping`

### getEntityName

    protected String getEntityName()

  Specified by:
    `getEntityName` in class `AbstractPropertyMapping`

### getType

    public Type getType()

  Description copied from interface: `PropertyMapping`
  Get the type of the thing containing the properties

### toColumns

    public String[] toColumns(String alias,
                              String propertyName)
                       throws QueryException

  Description copied from interface: `PropertyMapping`
  Given a query alias and a property path, return the qualified column name

  Specified by:
    `toColumns` in interface `PropertyMapping`
  Overrides:
    `toColumns` in class `AbstractPropertyMapping`
  Throws:
    `QueryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.